Subject: bug#70219: Bug/Issue with timeout and signals

From: "Branden R. Williams" <[email-masked]>
Date: Fri, 5 Apr 2024 10:19:39 -0500

I was integrating the timeout command into a shell script and realized the manpage & the --help docs do not accurately describe how the tool works. In addition, there appears to be a bug related to arguments passed. I am running version 9.1.

According to the help screen, this command should work:

	timeout -k 10s ping example.com <http://example.com/>

It fails, however, because the next argument after invoking -k is the kill signal you want to send. The command (to send a SIGKILL) must be:

	timeout -k 9 10s ping example.com <http://example.com/>

I believe the kill after functionality and docs should be modified to send a default signal of SIGTERM without an additional argument so the first iteration above would work. Then you could explain that if you wanted to send a DIFFERENT signal, use the -s flag that is there to pass one. But according to the docs, the first command SHOULD work. Even using the --kill-after= syntax passes in the kill signal into that argument, not the actual time.

Thank you for your consideration and for maintaining such a critical set of tools! 

Regards,

B